org.json

## Class JSONPointerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.json.JSONException
        - - org.json.JSONPointerException

All Implemented Interfaces:
  Serializable

    public class JSONPointerException
    extends JSONException

The JSONPointerException is thrown by `JSONPointer` if an error occurs during evaluating a pointer.

Version:
  2016-05-13
Author:
  JSON.org
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JSONPointerException(String message)` Constructs a new JSONPointerException with the specified error message.
`JSONPointerException(String message, Throwable cause)` Constructs a new JSONPointerException with the specified error message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JSONPointerException

    public JSONPointerException(String message)

Constructs a new JSONPointerException with the specified error message.

Parameters:
  `message` - The detail message describing the reason for the exception.

#### JSONPointerException

    public JSONPointerException(String message,
                                Throwable cause)

Constructs a new JSONPointerException with the specified error message and cause.

Parameters:
  `message` - The detail message describing the reason for the exception.
  `cause` - The cause of the exception.